# Table of contents

* [Welcome](README.md)
* [Docs](docs/README.md)
  * [User guides](docs/user-guides/README.md)
    * [Get Started](docs/user-guides/j-get-started.md)
    * [Kepler.gl workflow](docs/user-guides/b-kepler-gl-workflow/README.md)
      * [Add data to layers](docs/user-guides/b-kepler-gl-workflow/b-add-data-layers/README.md)
        * [Adding Data Layers](docs/user-guides/b-kepler-gl-workflow/b-add-data-layers/a-adding-data-layers.md)
        * [Create a Layer](docs/user-guides/b-kepler-gl-workflow/b-add-data-layers/b-create-a-layer.md)
        * [Blend and Rearrange Layers](docs/user-guides/b-kepler-gl-workflow/b-add-data-layers/d-blend-and-rearrange-layers.md)
        * [Hide, Edit and Delete Layers](docs/user-guides/b-kepler-gl-workflow/b-add-data-layers/c-hide-edit-and-delete-layers.md)
      * [Add Data to the Map](docs/user-guides/b-kepler-gl-workflow/a-add-data-to-the-map.md)
    * [Layers](docs/user-guides/c-types-of-layers/README.md)
      * [Point](docs/user-guides/c-types-of-layers/a-point.md)
      * [S2 Layer](docs/user-guides/c-types-of-layers/l-s2.md)
      * [Icon](docs/user-guides/c-types-of-layers/g-icon.md)
      * [Line](docs/user-guides/c-types-of-layers/c-line.md)
      * [Cluster](docs/user-guides/c-types-of-layers/f-cluster.md)
      * [Polygon](docs/user-guides/c-types-of-layers/e-polygon.md)
      * [Hexbin](docs/user-guides/c-types-of-layers/h-hexbin.md)
      * [Grid](docs/user-guides/c-types-of-layers/d-grid.md)
      * [H3](docs/user-guides/c-types-of-layers/j-h3.md)
      * [Heatmap](docs/user-guides/c-types-of-layers/i-heatmap.md)
      * [Arc](docs/user-guides/c-types-of-layers/b-arc.md)
      * [Trip layer](docs/user-guides/c-types-of-layers/k-trip.md)
    * [Layer Attributes](docs/user-guides/d-layer-attributes.md)
    * [Color Palettes](docs/user-guides/l-color-attributes.md)
    * [Filters](docs/user-guides/e-filters.md)
    * [Map Styles](docs/user-guides/f-map-styles.md)
    * [Interactions](docs/user-guides/g-interactions.md)
    * [Map Settings](docs/user-guides/m-map-settings.md)
    * [Time Playback](docs/user-guides/h-playback.md)
    * [Save and Export](docs/user-guides/k-save-and-export.md)
    * [FAQ](docs/user-guides/i-faq.md)
  * [API Reference](docs/api-reference/README.md)
    * [ecosystem](docs/api-reference/ecosystem.md)
    * [Get Started](docs/api-reference/get-started.md)
    * [Advanced usages](docs/api-reference/advanced-usages/README.md)
      * [Saving and Loading Maps with Schema Manager](docs/api-reference/advanced-usages/saving-loading-w-schema.md)
      * [Replace UI Component with Component Dependency Injection](docs/api-reference/advanced-usages/replace-ui-component.md)
      * [Forward Dispatch Actions](docs/api-reference/advanced-usages/forward-actions.md)
      * [Reducer Plugin](docs/api-reference/advanced-usages/reducer-plugin.md)
      * [Using Updaters](docs/api-reference/advanced-usages/using-updaters.md)
      * [Custom reducer initial state](docs/api-reference/advanced-usages/custom-initial-state.md)
      * [custom-mapbox-host](docs/api-reference/advanced-usages/custom-mapbox-host.md)
    * [Components](docs/api-reference/components/README.md)
    * [Reducers](docs/api-reference/reducers/README.md)
      * [reducers](docs/api-reference/reducers/reducers.md)
      * [map-style](docs/api-reference/reducers/map-style.md)
      * [map-state](docs/api-reference/reducers/map-state.md)
      * [combine](docs/api-reference/reducers/combine.md)
      * [overview](docs/api-reference/reducers/README.md)
      * [ui-state](docs/api-reference/reducers/ui-state.md)
      * [vis-state](docs/api-reference/reducers/vis-state.md)
    * [Processors](docs/api-reference/processors/README.md)
      * [All processors](docs/api-reference/processors/processors.md)
    * [Schemas](docs/api-reference/schemas/README.md)
    * [Actions](docs/api-reference/actions/README.md)
      * [All actions](docs/api-reference/actions/actions.md)
    * [Cloud providers](docs/api-reference/cloud-providers/README.md)
      * [Provider](docs/api-reference/cloud-providers/cloud-provider.md)
    * [Custom theme](docs/api-reference/custom-theme/README.md)
    * [Localization](docs/api-reference/localization/README.md)
  * [Jupyter Notebook](docs/keplergl-jupyter/README.md)
* [Examples](examples/README.md)
  * [Node/Express](examples/node-app/README.md)
  * [Demo App](examples/demo-app/README.md)
  * [Open modal](examples/replace-component/README.md)
  * [Open modal](examples/open-modal/README.md)
  * [UMD client](examples/umd-client/README.md)
  * [Customize kepler.gl Theme](examples/custom-theme/README.md)
  * [Customize kepler.gl Reducer](examples/custom-reducer/README.md)
* [Contributing](contributing/README.md)
  * [Developing Kepler.gl](contributing/DEVELOPERS.md)
  * [Contributor Covenant Code of Conduct](contributing/CODE_OF_CONDUCT.md)
* [Change Log](CHANGELOG.md)
* [Upgrade Guide](UPGRADE-GUIDE.md)
